program main(input,output);
var
	o, z: set of 1..15;
        oo, kk: Char value '-';
begin
	o := [1];
	z := [];
	if o < z then
		writeln('failed');
	if o <= z then
		writeln('failed');
	if o = z then
		writeln('failed');
	if o <> z then
		oo:= pred ( 'O', 4 );
	if o >= z then
                inc ( oo );
	if o > z then
		inc ( oo );
	if z < o then
		inc ( oo );
	if z <= o then
		inc ( oo );
	if z = o then
		writeln('failed');
	if z <> o then
		kk:= pred ( 'K', 3 );
	if z >= o then
		writeln('failed');
	if z > o then
		writeln('failed');
	if o < o then
		writeln('failed');
	if o <= o then
		inc ( kk );
	if o = o then
		inc ( kk );
	if o <> o then
		writeln('failed');
	if o >= o then
		write ( oo );
	if o > o then
		writeln('failed');
	if z < z then
		writeln('failed');
	if z <= z then
		inc ( kk );
	if z = z then
		write ( kk );
	if z <> z then
		writeln('failed');
	if z >= z then
		writeln;
	if z > z then
		writeln('z > z');
end.
